.login-page {
    height: 100vh;
    background: url('~assets/images/login/background-login.png');
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-form {
    background: url('~assets/images/login/forground.png');
    background-size: 100% 100%;
    font-size: 1.2em;
    width: 900px;
    height: 590px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
}

.form-controls {
    display: flex;
    width: 50%;
    align-items: center;
}

.login-form-labels,
.login-form-controls {
    flex: 0 0 50%;
}

.login-form-controls>div {
    margin-bottom: .75em;
}

.login-form-labels>div {
    line-height: 50px;
    margin-bottom: 1em;
    text-align: center;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.input-control {
    font-size: inherit;
    color: #4b2354;
    line-height: 1.2;
    display: block;
    height: 56px;
    background: 0 0;
    padding: 0 12px;
    outline: none;
    border-top: solid 2px #D1CBBC;
    border-right: solid 2px #D1CBBC;
    border-left: solid 2px #D1CBBC;
    border-bottom: solid 6px #D43536;
    width: 100%;
    box-sizing: border-box;
    border-radius: 1em;
    box-shadow: 0 0px 30px rgb(0 0 0 / 10%);
    transition: all .4s;
}

.input-control:active {
    box-shadow: 0 5px 30px 0 rgb(0 0 0 / 20%);
}

.login-btn {
    background-color: #ffd600;
    width: 200px;
    height: 48px;
    border-radius: .75em;
    font-size: 1.2em;
    border: 2px solid #00a79d;
    margin-top: 1.25em;
    color: #00a79d;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s;
}

.login-btn:hover {
    background-color: #ffda20;
    box-shadow: 0 0 8px 1px rgb(0 0 0 / 28%);
}

.login-btn:active {
    background-color: #f7ce01;
    box-shadow: inset 0 0 8px 1px rgb(0 0 0 / 28%);
}

.space {
    width: 100%;
    position: fixed;
    height: 100%;
}

.space-ship,
.astronaut {
    position: absolute;
    animation: up-down 12s infinite ease-in-out;
}

.astronaut {
    width: 122px;
    height: 150px;
    background: url('~assets/images/login/astronaut.png');
    background-size: 100% 100%;
}

.space-ship {
    width: 120px;
    height: 80px;
    background: url('~assets/images/login/space-ship.png');
    background-size: 100% 100%;
}

.sama-logo {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1;
}

.sama-logo img {
    width: min(20vw, 12em);
    height: auto;
}

#astronaut-1 {
    right: 25%;
    top: 28px;
    animation-delay: 1s;
}

#space-ship-1 {
    left: 96px;
    top: 48px;
    animation-delay: -5s;
}

@keyframes up-down {
    0% {
        transform: translate(0, 0);
    }
    25% {
        transform: translate(10px, 8px);
    }
    66% {
        transform: translate(-8px, -14px);
    }
}

.star {
    position: absolute;
    width: 40px;
    height: 40px;
    background: url('~assets/images/login/star.svg');
    background-size: 100% 100%;
    animation: flashing 5s infinite ease-in-out;
}

#star-1 {
    left: 48px;
    top: 24px;
}

#star-2 {
    right: 128px;
    top: 64px;
}

@keyframes flashing {
    0% {
        filter: none;
    }
    75% {
        filter: drop-shadow(0 0 8px #fff)
    }
}

.rocket {
    position: absolute;
    width: 123px;
    height: 200px;
    background-image: url('~assets/images/login/rocket.png');
    background-size: 100% 100%;
    animation: launching 10s infinite ease-in;
}

#rocket-1 {
    right: 50%;
    bottom: 50vh;
}

@keyframes launching {
    0% {
        visibility: visible;
        bottom: 50vh;
    }
    50% {
        bottom: 120vh;
    }
    100% {
        visibility: hidden;
        bottom: 120vh;
    }
}

.planet {
    position: absolute;
    width: 96px;
    height: 96px;
    animation: spins 12s infinite linear;
    border-radius: 50%;
    border: 4px solid rgb(255 255 255 / 40%);
    background-clip: content-box;
    background-size: 100% 100%;
}

#earth {
    left: 25%;
    top: 2vh;
    background-image: url('~assets/images/login/earth.png');
}

#moon {
    right: 128px;
    top: 1vh;
    background-image: url('~assets/images/login/moon.png');
    animation-delay: -3s;
}

@keyframes spins {
    0% {
        background-position: 0 0;
    }
    99.9% {
        background-position: 128px 128px;
    }
    100% {
        background-position: 0 0;
    }
}
